LibreOffice: XEventAttacherManager Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XEventAttacherManager Interface Referencepublished

registers listeners for specified events. More...

`import"XEventAttacherManager.idl";`

Inheritance diagram for XEventAttacherManager:

## Public Member Functions
void | registerScriptEvent ([in] long nIndex, [in] com::sun::star::script::ScriptEventDescriptor aScriptEvent) raises ( com::sun::star::lang::IllegalArgumentException )
| registers one event for an object identified by its index. More...
void | registerScriptEvents ([in] long nIndex, [in] sequence< com::sun::star::script::ScriptEventDescriptor > aScriptEvents) raises ( com::sun::star::lang::IllegalArgumentException )
| registers several events for an object identified by its index. More...
void | revokeScriptEvent ([in] long nIndex, [in] string aListenerType, [in] string aEventMethod, [in] string aRemoveListenerParam) raises ( com::sun::star::lang::IllegalArgumentException )
| revokes the registration of an event. More...
void | revokeScriptEvents ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| revokes all events which are registered for the given index. More...
void | insertEntry ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| creates an empty entry at the given position. More...
void | removeEntry ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the entry at the given position. More...
sequence< com::sun::star::script::ScriptEventDescriptor > | getScriptEvents ([in] long Index) raises ( com::sun::star::lang::IllegalArgumentException )
void | attach ([in] long nIndex, [in] com::sun::star::uno::XInterface xObject, [in] any aHelper) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::ServiceNotRegisteredException )
| attaches all the ScriptEvents which are registered for the given index to the given object. More...
void | detach ([in] long nIndex, [in] com::sun::star::uno::XInterface xObject) raises ( com::sun::star::lang::IllegalArgumentException )
| detaches all the ScriptEvents from the given object which are registered at this object for the given index. More...
void | addScriptListener ([in] com::sun::star::script::XScriptListener xListener) raises ( com::sun::star::lang::IllegalArgumentException )
| adds an XScriptListener that will be notified when an event takes place. More...
void | removeScriptListener ([in] com::sun::star::script::XScriptListener Listener) raises ( com::sun::star::lang::IllegalArgumentException )
| removes a XScriptListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

registers listeners for specified events.

## Member Function Documentation

## ◆ addScriptListener()

void addScriptListener | ( | [in] com::sun::star::script::XScriptListener | xListener | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

adds an XScriptListener that will be notified when an event takes place.

For that a ScriptEventDescriptor is registered at and attached to an object by an XEventAttacherManager.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

See also
  removeScriptListener

## ◆ attach()

void attach | ( | [in] long | nIndex,
|  | [in] com::sun::star::uno::XInterface | xObject,
|  | [in] any | aHelper
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::ServiceNotRegisteredException
| ) |  |

attaches all the ScriptEvents which are registered for the given index to the given object.

Exceptions of type com::sun::star::beans::IntrospectionException and com::sun::star::script::CannotCreateAdapterException that can be thrown by methods of XEventAttacher are caught and ignored.

## ◆ detach()

void detach | ( | [in] long | nIndex,
|  | [in] com::sun::star::uno::XInterface | xObject
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

detaches all the ScriptEvents from the given object which are registered at this object for the given index.

Exceptions of type com::sun::star::beans::IntrospectionException and com::sun::star::script::CannotCreateAdapterException that can be thrown by methods of XEventAttacher are caught and ignored.

## ◆ getScriptEvents()

sequence<com::sun::star::script::ScriptEventDescriptor> getScriptEvents | ( | [in] long | Index | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns
  all events registered for the given object index.

Parameters

  Index | an index previously inserted with the method insertEntry.

Exceptions

  IllegalArgumentException | if Index is not valid.

## ◆ insertEntry()

void insertEntry | ( | [in] long | nIndex | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an empty entry at the given position.

The index n of all entries with `n &gt;= nIndex` will be increased by one.

## ◆ registerScriptEvent()

void registerScriptEvent | ( | [in] long | nIndex,
|  | [in] com::sun::star::script::ScriptEventDescriptor | aScriptEvent
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

registers one event for an object identified by its index.

If any object is attached under this index, then this event is attached automatically.

Exceptions of type com::sun::star::beans::IntrospectionException and com::sun::star::script::CannotCreateAdapterException that can be thrown by methods of XEventAttacher are caught and ignored.

## ◆ registerScriptEvents()

void registerScriptEvents | ( | [in] long | nIndex,
|  | [in] sequence< com::sun::star::script::ScriptEventDescriptor > | aScriptEvents
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

registers several events for an object identified by its index.

The result is the same as if the method registerScriptEvent() was called once for each ScriptEventDescriptor in the sequence.

If any object is attached under this index, then this event is attached automatically (see attach())

Exceptions of type com::sun::star::beans::IntrospectionException and com::sun::star::script::CannotCreateAdapterException that can be thrown by methods of XEventAttacher are caught and ignored.

See also
  registerScriptEvent
  attach

## ◆ removeEntry()

void removeEntry | ( | [in] long | nIndex | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

removes the entry at the given position.

If any events are registered at this index, they will be revoked, too. So if the events at this index have been attached to any object they are detached automatically. (see attach()).

See also
  attach

## ◆ removeScriptListener()

void removeScriptListener | ( | [in] com::sun::star::script::XScriptListener | Listener | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

removes a XScriptListener from the listener list.

Nothing happens if the listener is not registered.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

See also
  addScriptListener

## ◆ revokeScriptEvent()

void revokeScriptEvent | ( | [in] long | nIndex,
|  | [in] string | aListenerType,
|  | [in] string | aEventMethod,
|  | [in] string | aRemoveListenerParam
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

revokes the registration of an event.

The parameters ListenerType and EventMethod are equivalent to the first two members of the ScriptEventDescriptor used to register events. If this event at this index has been attached to any object, it is detached automatically (see attach()).

Exceptions of type com::sun::star::beans::IntrospectionException and com::sun::star::script::CannotCreateAdapterException that can be thrown by methods of XEventAttacher are caught and ignored.

See also
  attach

## ◆ revokeScriptEvents()

void revokeScriptEvents | ( | [in] long | nIndex | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

revokes all events which are registered for the given index.

If the events at this index have been attached to any object, they are detached automatically. (see attach()).

See also
  attach

The documentation for this interface was generated from the following file:

- com/sun/star/script/XEventAttacherManager.idl